---
names:
  full: Azure App Service is not registered with Microsoft Entra ID
  contextual: App Service is not registered with Microsoft Entra ID
description: "Managed service identity in App Service provides more security by eliminating\
  \ secrets from the app, such as credentials in the connection strings. When registering\
  \ an App Service with Entra ID, the app will connect to other Azure services securely\
  \ without the need for usernames and passwords."
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v2.1.0/09/04"
  - "/frameworks/cis-azure-v3.0.0/09/05"
  - "/frameworks/cloudaware/resource-security/secure-access"
similarPolicies:
  internal:
    - dec-x-1fc681bc
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/AppService/enable-registration-with-microsoft-entra-id.html
      name: Enable Registration with Microsoft Entra ID
